Package svnmailer :: Module typedstruct :: Class StructPrivate

[hide private]

# Class StructPrivate

source code

    object --+
             |
            StructPrivate

Private container class for Struct internals

Instance Methods | [hide private]

__init__(self, names, aliases) Initialization | source code

initInstance(self, instance, maps, arg) Initializes the class for a particular instance | source code

removeInstance(self, instance) Removes all data, referring to a particular instance | source code

`dict`

getValues(self, instance) Returns the value dict for the particular instance | source code

`dict`

getSubst(self, instance) Returns the subst dict for the particular instance | source code

`dict`

getMaps(self, instance) Returns the map dict for the particular instance | source code

any

getArg(self, instance) Returns the arg for the particular instance | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, names, aliases)
(Constructor)

source code

Initialization

Parameters:
  - `names` (`tuple`) - The member names to serve
  - `aliases` (`dict`) - The name mappings
Overrides: object.__init__

### initInstance(self, instance, maps, arg)

source code

Initializes the class for a particular instance

Parameters:
  - `instance` (`object`) - The instance in question
  - `maps` (`dict`) - The maps to use
  - `arg` (any) - The initialization argument

### removeInstance(self, instance)

source code

Removes all data, referring to a particular instance

Parameters:
  - `instance` (`object`) - The instance in question

### getValues(self, instance)

source code

Returns the value dict for the particular instance

Parameters:
  - `instance` (`object`) - The instance in question
Returns: `dict`
  The value dictionary

### getSubst(self, instance)

source code

Returns the subst dict for the particular instance

Parameters:
  - `instance` (`object`) - The instance in question
Returns: `dict`
  The substitution dict

### getMaps(self, instance)

source code

Returns the map dict for the particular instance

Parameters:
  - `instance` (`object`) - The instance in question
Returns: `dict`
  The map dictionary

### getArg(self, instance)

source code

Returns the arg for the particular instance

Parameters:
  - `instance` (`object`) - The instance in question
Returns: any
  The arg used for initialization